View Issue Details

IDProjectCategoryView StatusLast Update
0000058Slicer3Base Codepublic2008-05-30 10:40
ReporterleueAssigned Topieper 
PrioritynormalSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
Summary0000058: Slicer3 on Windows XP throws errors on exit.
Description

A majority of the time, when Slicer3 is exited, either from the File menu or with the Windows close box, it generates a window full of error messages. This window appears and disappears too fast to be able to read the messages (isn't this a bug in itself?), and Windows catches the bad exit status and produces the usual 'report error?' dialog box. This problem is not 100% reproducible but appears to happen about 80% of the time. It does not seem to matter what you do between program start and exit: the problem happens even when you exit immediately after starting up.

Additional Information

Windows XP, SP 2, all current patches. 2 Gbytes RAM, plenty of disk and swap space. Happens with both the latest binary installation and a build-from-source that was current with the repository on 4/12/07.

TagsNo tags attached.

Activities

pieper

pieper

2007-08-15 12:33

administrator   ~0000109

The status of this changes periodically as things get fixed and new shutdown issues get added. Hopefully this will be fixed once the "base" code stabilizes with DTI.

leue

leue

2007-09-27 12:31

developer   ~0000121

As of today, this is fixed.

leue

leue

2007-11-26 10:02

developer   ~0000179

There are still errors thrown on exit. It is merely annoying, nothing serious.

Issue History

Date Modified Username Field Change
2007-05-17 12:13 leue New Issue
2007-08-15 12:33 pieper Note Added: 0000109
2007-08-17 06:27 pieper Assigned To => pieper
2007-08-17 06:27 pieper Status new => assigned
2007-09-27 12:31 leue Note Added: 0000121
2007-11-26 10:02 leue Note Added: 0000179
2008-05-30 10:40 pieper Status assigned => closed
2008-05-30 10:40 pieper Resolution open => fixed